Subject: Re: [spring] Terry Manderson's Discuss on draft-ietf-spring-problem-statement-06: (with DISCUSS)

From: "Stefano Previdi (sprevidi)" <[email-masked]>
Date: Mon, 4 Apr 2016 18:04:46 +0000

Hi Terry,

sorry for coming back late on this. See below:

> On Jan 19, 2016, at 4:11 AM, Terry Manderson <[email-masked]> wrote:
> 
> Terry Manderson has entered the following ballot position for
> draft-ietf-spring-problem-statement-06: Discuss
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-spring-problem-statement/
> 
> 
> 
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
> 
> Thanks for putting in the effort in writing this. Firstly, I concur with
> Benoit's observation about text taken from the charter and laid in to the
> document verbatim. That tends not to help the reader and a large
> assumption is made that the reader understands the concerns of source
> based routing for partitioning VPNs, fast re-route, TE, signalling, and
> so on.

yes, the co-authors assume that the reader is already familiar with concepts such as source routing, TE, VPN, …

Maybe we can add references/pointers to relevant documents.

> Please consider rewriting the intro and other parts to help with
> understanding (for example in 3.2 Fast Reroute; microploop avoidance is
> listed as a requirement, however a sensible coverage of microloop
> avoidance is not found in the draft, nor in the nearby referenced
> spring-resiliency-use-cases).

Indeed. We will put additional text on microloop-avoidance in draft-ietf-spring-resiliency-use-cases.

> This also leaves me scratching my head as
> to why we don't see this document and the resiliency-use-cases (and
> others) at the same time when they are aligned? Or restructure the
> document to be more informative on these facets in the first case.
> 
> Can the document also be explicit that while the SPRING problem/solution
> space needs to be cognisant of autonomous systems that share
> policy/interoperate across boundaries the primary port of call is in
> regard to the IGP. This will certainly aide in restraining everyone (esp.
> the reader) from trying to boil the 'internet ocean'. (this at least
> should be easy to address :)

I agree. We have significantly revised the security section. It now talks about trust boundaries.

s.

---

From: Terry Manderson <[email-masked]>
Date: Tue, 5 Apr 2016 11:22:27 +0000

Stefano, 

Thank you for addressing my DISCUSS, when I see a rev of this document
that addresses these items I will review and likely clear the discuss.

Cheers
Terry 

On 5/04/2016, 4:04 AM, "Stefano Previdi (sprevidi)" <[email-masked]>
wrote:

>> Please refer to 
>>https://www.ietf.org/iesg/statement/discuss-criteria.html
>yes, the co-authors assume that the reader is already familiar with
>concepts such as source routing, TE, VPN, Š
>

---

From: "Stefano Previdi (sprevidi)" <[email-masked]>
Date: Wed, 6 Apr 2016 11:00:56 +0000

Hi Terry,

We just updated draft-ietf-spring-resiliency-use-cases with more introductory text on FR/Microloop-avoidance and updated the reference to the draft in draft-ietf-spring-problem-statement.

Thanks.
s.

> On Apr 5, 2016, at 1:22 PM, Terry Manderson <[email-masked]> wrote:
> 
> Stefano, 
>